device_type: dragonboard-845c
job_name: lab-health-dragonboard-845c
timeouts:
  job:
    minutes: 90
  action:
    minutes: 15
  connection:
    minutes: 2
priority: high
visibility: public

metadata:
  source: https://git.linaro.org/lava/lava-lab.git
  path: shared/health-checks/dragonboard-845c.yaml

actions:
- deploy:
    timeout:
      minutes: 40
    to: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    images:
      "partition:0":
        url: https://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard845c/linaro/rescue/69/dragonboard-845c-bootloader-ufs-linux-69/gpt_both0.bin
      boot:
        url: http://images.validation.linaro.org/releases.linaro.org/96boards/dragonboard845c/linaro/debian/20.11/boot-linaro-sid-dragonboard-845c-412.img.gz
        compression: gz
      rootfs:
        url: http://images.validation.linaro.org/releases.linaro.org/96boards/dragonboard845c/linaro/debian/20.11/linaro-sid-developer-dragonboard-845c-412.img.gz
        compression: gz
        apply-overlay: true
    os: debian

- command:
    name: pre_power_command
    timeout:
          minutes: 2

- boot:
    prompts:
    - 'root@(.*):/#'
    - 'root@linaro-developer:~#'
    timeout:
      minutes: 15
    method: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot

- command:
    name: pre_os_command
    timeout:
          minutes: 2

- test:
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    timeout:
      minutes: 5
    definitions:
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests-docker

- deploy:
    timeout:
      minutes: 40
    to: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    images:
      "partition:0":
        url: https://images.validation.linaro.org/snapshots.linaro.org/96boards/dragonboard845c/linaro/rescue/69/dragonboard-845c-bootloader-ufs-aosp-69/gpt_both0.bin
      boot:
        url: https://images.validation.linaro.org/testdata.linaro.org/lkft/aosp-stable/aosp-master/6524104/db845c-userdebug/boot.img
      userdata:
        url: https://images.validation.linaro.org/testdata.linaro.org/lkft/aosp-stable/aosp-master/6524104/db845c-userdebug/userdata.img
      super:
        url: https://images.validation.linaro.org/testdata.linaro.org/lkft/aosp-stable/aosp-master/6524104/db845c-userdebug/super.img
    os: debian

- command:
    name: pre_power_command
    timeout:
          minutes: 2
- boot:
    prompts:
    - root@(.*):/#
    - console:/
    timeout:
      minutes: 15
    method: fastboot
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    commands:
    - oem select-display-panel hdmi
    - reboot bootloader
    - oem select-display-panel hdmi
    - reboot bootloader
    - oem select-display-panel hdmi
    - reboot
- test:
    timeout:
      minutes: 20
    docker:
        local: true
        image: lavalabteam/adb-fastboot
    definitions:
    - from: inline
      path: android-boot.yaml
      name: android-boot
      repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: android-boot
          description: android-boot
        run:
          steps:
            - lava-test-case "android-boot-wait-for-device" --shell adb wait-for-device
            - for iteration in $(seq 1 10)
            - do
            -    booted=$(adb shell getprop sys.boot_completed)
            -    echo "Booted - $booted"
            -    if [ "$booted" = "1" ]; then break; fi
            -    sleep 30
            - done
            - if [ "$(adb shell getprop sys.boot_completed)" = "1" ]; then lava-test-case "android-boot" --result pass; else lava-test-case "android-boot" --result fail; lava-test-raise "android-boot-failed"; fi
            - lava-test-case "android-boot-screepcap" --shell adb shell screencap -p /data/local/tmp/screencap.png

notify:
  criteria:
    status: incomplete
  recipients:
    - to:
        method: email
        email: lava-lab@linaro.org
  verbosity: verbose
